> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Users to Draft List

> API to add users in the draft list by passing its `version_id` returned in [Start Sync](/reference/start-sync) API response.



## OpenAPI

````yaml POST /v1/subscriber_list/{list_id}/version/{version_id}/subscriber/add
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/subscriber_list/{list_id}/version/{version_id}/subscriber/add:
    post:
      summary: Add Users to Draft List
      description: >-
        API to add users in the draft list by passing its `version_id` returned
        in [Start Sync](/reference/start-sync) API response.
      operationId: add-subscribers-to-draft-list
      parameters:
        - name: list_id
          in: path
          description: >-
            Unique string identifier of the list to which user needs to be
            updated
          required: true
          schema:
            type: string
            default: _list_id_
        - name: version_id
          in: path
          description: >-
            Unique string identifier of the draft version of the list to which
            user needs to be updated
          schema:
            type: string
            default: __version_id__
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                distinct_ids:
                  type: array
                  description: >-
                    Array of subscriber_ids, uniquely identifying the
                    subscribers to be added to the list.
                  default:
                    - user1
                  items:
                    type: string
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    affected_count: 0
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  affected_count:
                    type: integer
                    example: 2
        '404':
          description: 404 - Not Found
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    error_code: not_found
                    type: NotFound
                    message: version_id 01JR6PCW8H9K3H40XZV4 not found for list_id 123
                    detail: version_id 01JR6PCW8H9K3H40XZV4 not found for list_id 123
              schema:
                type: object
                description: error code and message detailing the reason of failure
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````